<?php
/**
 * @version     $Id$
 * @package     Election
 * @subpackage  com_election
 * @copyright   Copyright 2009 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * Election view.
 *
 * @package     Election
 * @subpackage  com_election
 * @since       2.0.0
 */
class ElectionViewElection extends JView
{
	/**
	 * Override the display method for the view.
	 *
	 * @return  void
	 * @since   2.0.0
	 */
	public function display()
	{
		$this->addToolbar();
		parent::display();
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 * @since   2.0.0
	 */
	protected function addToolbar()
	{
		$canDo	= ElectionHelper::getActions();

		// Add the view title.
		JToolBarHelper::title(JText::_('COM_ELECTION_TITLE_ELECTION'), 'election');

		// Check if the Options button can be added.
		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_election');
		}
	}
}